This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 709025 - [config-sync] Define the export format and interaction with CLI
[config-sync] Define the export format and interaction with CLI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: jon3-sprint1 708960 715334
  Show dependency treegraph
 
Reported: 2011-05-30 08:30 EDT by Lukas Krejci
Modified: 2011-10-06 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-05 09:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-05-30 08:30:31 EDT
These two might look unrelated but have a close relationship.

One of the ways we could implement the export file is for it to be a CLI script. This is quite neat but brings along some potential problems - mainly with figuring out what exactly would such script modify. We'd need such information when analyzing the export file before import during the dry run phase.

On the other hand it is important to define the APIs using which the CLI will be able to interact with export file so that it can be easily modified before the actual import takes place.

Note You need to log in before you can comment on or make changes to this bug.